net.sf.statcvs.pages.xml

## Class LogXml

- java.lang.Object
- - net.sf.statcvs.pages.xml.LogXml

    public class LogXml
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`LogXml(ReportConfig config)`

### Method Summary

Methods
`org.jdom.Element` `toFile()` returns jdom element which contains data extracted from the commit list of the repository

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogXml

    public LogXml(ReportConfig config)

Parameters:
  `config` - Configuration and data for the report suite

### Method Detail

#### toFile

    public org.jdom.Element toFile()

returns jdom element which contains data extracted from the commit list of the repository